[Overview][Constants][Types][Procedures and functions][Index] | Reference for unit 'Sockets' (#rtl)

# StrToHostAddr

Convert a string to a host address.

## Declaration

Source position: socketsh.inc line 215

`function StrToHostAddr(`
`IP: AnsiString`
`):in_addr;`

## Description

StrToHostAddr converts the string representation in IP to a host address and returns the host address.

## Errors

On error, the host address is filled with zeroes.

## See also

NetAddrToStr |  | Convert a network address to a string.
HostAddrToStr |  | Convert a host address to a string.
StrToNetAddr |  | Convert a string to a network address.

Documentation generated on: Feb 26 2014